Skip to content

Partially update a metric annotation

PATCH
/v1/metricannotation/{id}/

Update one or more fields of an existing metric annotation.

id
required
string format: uuid

A UUID string identifying this metric annotation.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
string format: uuid
description
string
end_time
string format: date-time
nullable
feedback_author
string format: uuid
nullable
feedback_at
string format: date-time
nullable
feedback_is_true_positive
boolean
nullable
id
string format: uuid
metric
string format: uuid
outage
boolean
start_time
string format: date-time
nullable
title
string
<= 100 characters
type
  • 1 - User defined
  • 2 - Anomaly prediction
integer
>= -2147483648 <= 2147483647
Allowed values: 1 2

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
description
string
end_time
string format: date-time
nullable
feedback_author
required
string format: uuid
nullable
feedback_at
required
string format: date-time
nullable
feedback_is_true_positive
boolean
nullable
id
required
string format: uuid
metric
required
string format: uuid
outage
boolean
start_time
string format: date-time
nullable
title
required
string
<= 100 characters
type
required
  • 1 - User defined
  • 2 - Anomaly prediction
integer
>= -2147483648 <= 2147483647
Allowed values: 1 2